3

I am working on project where I has to execute Google Object detection API on a Raspberry Pi 3. The object detection api requires tensorflow version 1.4 or higher. Currently tensorflow is not developed for 32 bit operating systems. So how can I use tensorflow in raspberry pi. I try to use this project but since it has a older version of tensorflow it won't work.

  1. Is it possible to install 64 bit operating system on raspberry pi 3 and run normal tensorflow from official site? If 64 bit processor used is arm architecture would be a problem to run tensorflow?
  2. Is there any specific tensorflow wrapper or something that can be directly use in raspberry pi?

Please help me with available options for my problem. Thanks.

2

Binaries (32-bit) for TensorFlow 1.4 can be found from one of the tickets in the tensorflow-on-raspberry-pi project that you've linked: https://github.com/samjabrahams/tensorflow-on-raspberry-pi/issues/104

You'll likely have to install those *.whl files on Stretch, even though the main releases are usuallly built for Jessie. Thanks Chris for mentioning this in another question.

0

I would check out this repo here https://github.com/romilly/rpi-docker-tensorflow and it's probably what solves the issue temporary.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.